<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-on:keyup="getBook($event.target.value)" placeholder="Ketik Kata Kunci">
        <ul>
            <li v-for="book in filter">{{ book }}</li>
        </ul>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                books: [
                        'Kalkulus Dasar', 
                        'Fisika Dasar',
                        'Aljabar Linear Elementer',
                        'Aljabar Abstrak',
                        'Algoritma Pemograman'

                ],
                filter : []
            },
            methods: {
                getBook(name) {
                    var inputName = name.toLowerCase();
                    
                    console.log(name);
                    
                    this.filter = [];

                    for (const i in this.books) {
                        var booksName = this.books[i].toLowerCase();
                        if (booksName.includes(inputName)) {
                            if (this.filter.includes(this.books[i]) == false){ 
                                this.filter.push(this.books[i]);
                            }
                        }
                    }
                }
            }
            
        })
    </script>
</body>
</html>
